@if (fromMap) {
  <div *transloco="let t" class="ion-page">
    <ion-header>
      <lib-custom-modal-header
        (closeClick)="close()"
        (backNavigationClick)="pop()"
        [title]="t('feature_parking.module_name')"
        class="modal-header"
      >
      </lib-custom-modal-header>
    </ion-header>

    <ion-content class="content flex-list-medium minor-margin-top">
      <h1 class="title">{{ t('feature_parking.module_name') }}</h1>

      <ion-grid
        *ngIf="categorizedParkingData$ | async as categorizedParkingData"
        aria-atomic="true"
        aria-live="polite"
        class="content-wrapper ion-no-padding flex-list-medium"
      >
        <ion-text *ngIf="lastUpdated" class="last-updated-text">
          {{
            t('feature_parking.dashboard.updated', {
              time: (lastUpdated | localizedTimeDistancePipe | async),
            })
          }}
        </ion-text>

        <lib-connectivity-error-handling-card
          [show]="displayConnectivityError"
          [title]="'feature_parking.dashboard.connectivity_error' | transloco"
        >
        </lib-connectivity-error-handling-card>

        <ion-col
          *ngIf="
            (geolocationService.permissionState$ | async) ===
              simplifiedPermissionState.denied &&
            deviceService.isNativePlatform()
          "
          size="12"
        >
          <lib-notification-card
            [title]="t('feature_parking.dashboard.find_nearby')"
            [titleColor]="'var(--Main-Foreground, #ffffff)'"
            [subTitle]="t('feature_parking.dashboard.permission_required')"
            [subTitleColor]="'var(--Secondary-Foreground)'"
            [backgroundColor]="'var(--Hint-Background, #1E4F5A)'"
            [buttons]="permissionButton"
          >
          </lib-notification-card>
        </ion-col>

        <ng-container *ngFor="let category of parkingCategories">
          <ion-row
            class="ion-justify-content-center flex-list-feed-items"
            *ngIf="
              getParkingAreasByCategory(category, categorizedParkingData.data)
                .length > 0
            "
          >
            <div class="content-title">
              {{ t('feature_parking.dashboard.' + category) }}
            </div>
            <ion-col
              size="12"
              *ngFor="
                let parkingArea of getParkingAreasByCategory(
                  category,
                  categorizedParkingData.data
                )
              "
            >
              <lib-parking-card
                [parkingArea]="parkingArea"
                [fromMap]="fromMap"
                [categoryName]="categoryName"
                [categories]="categories"
                [categoryId]="categoryId"
              ></lib-parking-card>
            </ion-col>
          </ion-row>
        </ng-container>

        <ion-row
          class="ion-justify-content-center flex-list-feed-items"
          *ngIf="categorizedParkingData.loading"
        >
          <ion-col size="12" *ngFor="let _ of [].constructor(2)">
            <lib-parking-feed-card-skeleton></lib-parking-feed-card-skeleton>
          </ion-col>
        </ion-row>
      </ion-grid>
    </ion-content>
  </div>
} @else {
  <lib-condensed-header-layout
    *transloco="let t"
    [pageTitle]="t('feature_parking.module_name')"
    [useMaximumBackground]="true"
    class="ion-page"
  >
    <lib-refresher (ionRefresh)="doRefresh($event)"></lib-refresher>

    <ion-grid
      *ngIf="categorizedParkingData$ | async as categorizedParkingData"
      aria-atomic="true"
      aria-live="polite"
      class="ion-no-padding flex-list-medium"
    >
      <ion-text *ngIf="lastUpdated" class="last-updated-text">
        {{
          t('feature_parking.dashboard.updated', {
            time: (lastUpdated | localizedTimeDistancePipe | async),
          })
        }}
      </ion-text>

      <lib-connectivity-error-handling-card
        [show]="displayConnectivityError"
        [title]="'feature_parking.dashboard.connectivity_error' | transloco"
      >
      </lib-connectivity-error-handling-card>

      <ion-col
        *ngIf="
          (geolocationService.permissionState$ | async) ===
            simplifiedPermissionState.denied && deviceService.isNativePlatform()
        "
        size="12"
      >
        <lib-notification-card
          [title]="t('feature_parking.dashboard.find_nearby')"
          [titleColor]="'var(--Main-Foreground, #ffffff)'"
          [subTitle]="t('feature_parking.dashboard.permission_required')"
          [subTitleColor]="'var(--Secondary-Foreground)'"
          [backgroundColor]="'var(--Hint-Background, #1E4F5A)'"
          [buttons]="permissionButton"
        >
        </lib-notification-card>
      </ion-col>

      <ng-container *ngFor="let category of parkingCategories">
        <ion-row
          class="ion-justify-content-center flex-list-feed-items"
          *ngIf="
            getParkingAreasByCategory(category, categorizedParkingData.data)
              .length > 0
          "
        >
          <div class="content-title">
            {{ t('feature_parking.dashboard.' + category) }}
          </div>
          <ion-col
            size="12"
            *ngFor="
              let parkingArea of getParkingAreasByCategory(
                category,
                categorizedParkingData.data
              )
            "
          >
            <lib-parking-card
              [parkingArea]="parkingArea"
              [fromMap]="fromMap"
              [categoryName]="categoryName"
              [categories]="categories"
              [categoryId]="categoryId"
            ></lib-parking-card>
          </ion-col>
        </ion-row>
      </ng-container>

      <ion-row
        class="ion-justify-content-center flex-list-feed-items"
        *ngIf="categorizedParkingData.loading"
      >
        <ion-col size="12" *ngFor="let _ of [].constructor(2)">
          <lib-parking-feed-card-skeleton></lib-parking-feed-card-skeleton>
        </ion-col>
      </ion-row>
    </ion-grid>
  </lib-condensed-header-layout>
}
